<!-- This is a comment in md (Markdown) format, it will not be visible to the end user -->
## _Deprecation Notice_
This Pre-Built has been deprecated as of 04-30-2024 and will be end of life on 04-30-2025. The capabilities of this Pre-Built have been replaced by the [Atlassian - Jira - REST](https://gitlab.com/itentialopensource/pre-built-automations/atlassian-jira-rest)

<!-- Update the below line with your Pre-Built name -->
# Jira Issue Transition

<!-- Leave TOC intact unless you've added or removed headers -->
## Table of Contents

* [Overview](#overview)
  * [Operations Manager and JSON-Form](#operations-manager-and-json-form)
* [Installation Prerequisites](#installation-prerequisites)
* [Requirements](#requirements)
* [Features](#features)
* [How to Install](#how-to-install)
* [How to Run](#how-to-run)
  * [Input Variables](#input-variables)
* [Additional Information](#additional-information)

## Overview
This Pre-Built integrates with the [Jira Open Source Adapter](https://gitlab.com/itentialopensource/adapters/itsm-testing/adapter-jira) to transition an issue from one status to another within Jira.

## Operations Manager and JSON-Form

This workflow has an [Operations Manager Item](./bundles/automations/Jira%20Issue%20Transition.json) that calls a workflow. The Ops Manager Item uses a JSON-Form to specify common fields populated when an issue is created. The workflow the Ops Maanger item calls queries data from the formData job variable.

## Installation Prerequisites

Users must satisfy the following pre-requisites:

- Itential Automation Platform
  - `^2023.1`
- [Jira Open Source Adapter](https://gitlab.com/itentialopensource/adapters/itsm-testing/adapter-jira)
  - `^1.7.2`

## Requirements

This Pre-Built requires the following:

- A [Jira Open Source Adapter](https://gitlab.com/itentialopensource/adapters/itsm-testing/adapter-jira)
- A Jira account that has permission to transition an issue
- The transition must be consistent with workflow defined within the project settings

## Features

The main benefits and features of the Pre-Built are outlined below.

* Allows user to transition a Jira issue from one status to another 

## How to Install

To install the Pre-Built:

* Verify you are running a supported version of the Itential Automation Platform (IAP) as listed above in the [Requirements](#requirements) section in order to install the Pre-Built. 
* The Pre-Built can be installed from within App-Admin_Essential. Simply search for the name of your desired Pre-Built and click the install button.

## How to Run

Use the following to run the Pre-Built:

* Run the Operations Manager Item `Jira Issue Transition` or call [Jira Issue Transition](./bundles/workflows/Jira%20Issue%20Transition.json) from your workflow as a child job.

### Input Variables
_Example_

```json
{
  "issue": "Specific Issue to be transitioned",
  "status": "The new status of the Issue"
}
```

## Additional Information

Please use your Itential Customer Success account if you need support when using this Pre-Built.
